CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

GripColorUnselected Property (ActiveX)

2023-1-3 15:18| 发布者: admin| 查看: 522| 评论: 0|来自: AutoCAD

摘要: 指定未选定夹点的颜色。

指定未选定夹点的颜色。

支持的平台:仅窗口

签名

工 务 局:

object.GripColorUnselected
对象

类型:首选项选择

此属性适用的对象。

属性值

只读:

类型:枚举acColor

控制所选夹点(绘制为框轮廓)。有效范围为 1 到 255,或此处列出的常量之一:

  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite

言论

此属性的初始值为 150。

注意:此属性的值存储在 GRIPCOLOR 系统变量中。

例子

工 务 局:

Sub Example_GripColorUnselected()
    ' This example reads and modifies the preference value that controls
    ' the color of unselected grips.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSelection
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the selection preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Selection
    
    ' Read and display the original value
    originalValue = ACADPref.GripColorUnselected
    MsgBox "The GripColorUnselected preference is set to: " & originalValue

    ' Modify the GripColorUnselected preference by setting it to green
    ACADPref.GripColorUnselected = acGreen
    newValue = ACADPref.GripColorUnselected
    MsgBox "The GripColorUnselected preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.GripColorUnselected = originalValue
    MsgBox "The GripColorUnselected preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_GripColorUnselected()
    ;; This example reads and modifies the preference value that controls
    ;; the color of unselected grips.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))    
    
    ;; Get the selection preferences object
    (setq ACADPref (vla-get-Selection (vla-get-preferences acadObj)))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-GripColorUnselected ACADPref))
    (alert (strcat "The GripColorUnselected preference is set to: " (itoa originalValue)))

    ;; Modify the GripColorUnselected preference by setting it to green
    (vla-put-GripColorUnselected ACADPref acGreen)
    (setq newValue (vla-get-GripColorUnselected ACADPref))
    (alert (strcat "The GripColorUnselected preference has been set to: " (itoa newValue)))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-GripColorUnselected ACADPref originalValue)
    (alert (strcat "The GripColorUnselected preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:49

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部